MrBeanModule (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.mrbean

## Class MrBeanModule

- java.lang.Object
- - org.codehaus.jackson.map.Module
  - - org.codehaus.jackson.mrbean.MrBeanModule

- All Implemented Interfaces:
    Versioned

      public class MrBeanModule
      extends Module

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.Module

      `Module.SetupContext`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AbstractTypeMaterializer` | `_materializer` Configured materializer instance to register with deserializer factory.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MrBeanModule()`
    `MrBeanModule(AbstractTypeMaterializer materializer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getModuleName()` Method that returns identifier for module; this can be used by Jackson for informational purposes, as well as in associating extensions with module that provides them.
    `void` | `setupModule(Module.SetupContext context)` Method called by `ObjectMapper` when module is registered.
    `Version` | `version()` Method that returns version of this module.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _materializer

          protected AbstractTypeMaterializer _materializer

      Configured materializer instance to register with deserializer factory.

  - ### Constructor Detail

    - #### MrBeanModule

          public MrBeanModule()

    - #### MrBeanModule

          public MrBeanModule(AbstractTypeMaterializer materializer)

  - ### Method Detail

    - #### getModuleName

          public String getModuleName()

      Description copied from class: `Module`
      Method that returns identifier for module; this can be used by Jackson for informational purposes, as well as in associating extensions with module that provides them.
      Specified by:
        `getModuleName` in class `Module`

    - #### version

          public Version version()

      Description copied from class: `Module`
      Method that returns version of this module. Can be used by Jackson for informational purposes.
      Specified by:
        `version` in interface `Versioned`
      Specified by:
        `version` in class `Module`

    - #### setupModule

          public void setupModule(Module.SetupContext context)

      Description copied from class: `Module`
      Method called by `ObjectMapper` when module is registered. It is called to let module register functionality it provides, using callback methods passed-in context object exposes.
      Specified by:
        `setupModule` in class `Module`